Bug 1045313 - "volfile-max-fetch-attempts" was not deprecated correctly
Summary: "volfile-max-fetch-attempts" was not deprecated correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs
Version: 2.1
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: RHGS 2.1.2
Assignee: Raghavendra Talur
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1045309
Blocks: 1061594 1103623
TreeView+ depends on / blocked
 
Reported: 2013-12-20 06:48 UTC by Harshavardhana
Modified: 2015-05-13 16:27 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.4.0.53rhs
Doc Type: Bug Fix
Doc Text:
Previously, using the deprecated FUSE mount option "fetch-attempts" led to a mount operation failure from 3rd party apps. With this fix, "fetch-attempts" option is recognized and mount operation succeeds, but it serves only as a dummy option for backward compatibility.
Clone Of: 1045309
: 1061594 (view as bug list)
Environment:
Last Closed: 2014-02-25 08:09:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0208 0 normal SHIPPED_LIVE Red Hat Storage 2.1 enhancement and bug fix update #2 2014-02-25 12:20:30 UTC

Description Harshavardhana 2013-12-20 06:48:16 UTC
+++ This bug was initially created as a clone of Bug #1045309 +++

Description of problem:

The glusterfs-fuse on earlier glusterfs version (<3.4) have 'fetch-attempts'option, how-ever 'fetch-attempts' option does not exists .

If a previous client mounted the volume with "fetch-attempts", the new version can not parse the same and it will cause the mount to fail.

Version-Release number of selected component (if applicable):

glusterfs-3.4.1


Actual results:

The mount was failed..

Expected results:

The mount options fetch-attempts should be backward compatible and mount should succeed.

Comment 3 SATHEESARAN 2013-12-24 10:07:17 UTC
Apologies, I updated the stale BZ page, which did the following calamity,

Flags: qe_test_coverage? devel_ack+ qa_ack+ → qe_test_coverage+ devel_ack? qa_ack?

Requesting for restoring it back.

Comment 5 Raghavendra Talur 2013-12-26 11:49:41 UTC
patch posted at https://code.engineering.redhat.com/gerrit/#/c/17740/

Comment 6 SATHEESARAN 2014-01-03 06:31:55 UTC
Verified with glusterfs-3.4.0.53rhs.el6 with RHEL 6.5 client

[root@rhs-client15 ~]# glusterfs --version
glusterfs 3.4.0.53rhs built on Dec 30 2013 10:12:53
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2013 Red Hat, Inc. <http://www.redhat.com/>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
It is licensed to you under your choice of the GNU Lesser
General Public License, version 3 or any later version (LGPLv3
or later), or the GNU General Public License, version 2 (GPLv2),
in all cases as published by the Free Software Foundation.

[root@rhs-client15 ~]# mount.glusterfs 10.70.37.86:distrep -o fetch-attempts=2 /mnt

[root@rhs-client15 ~]# ps aux | grep distrep | grep -v 'grep distrep'
root     26100  0.1  0.2 303940 38092 ?        Ssl  06:30   0:00 /usr/sbin/glusterfs --volfile-server=10.70.37.86 --volfile-id=distrep /mnt

[root@rhs-client15 ~]# mount
/dev/mapper/vg_rhsclient15-lv_root on / type ext4 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw,rootcontext="system_u:object_r:tmpfs_t:s0")
/dev/sda1 on /boot type ext4 (rw)
/dev/mapper/vg_rhsclient15-lv_home on /home type ext4 (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
10.70.37.86:distrep on /mnt type fuse.glusterfs (rw,default_permissions,allow_other,max_read=131072)

Comment 7 Pavithra 2014-01-08 06:08:16 UTC
Harsha,

Can you please verify the doc text for technical accuracy?

Comment 9 Pavithra 2014-01-08 06:37:41 UTC
Harsha,

I made minor edits to the doc text to fit it into the errata format. Please review it for technical accuracy and sign off.

Comment 11 Harshavardhana 2014-01-08 07:03:50 UTC
(In reply to Pavithra from comment #9)
> Harsha,
> 
> I made minor edits to the doc text to fit it into the errata format. Please
> review it for technical accuracy and sign off.

+1 Thanks

Comment 19 errata-xmlrpc 2014-02-25 08:09:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0208.html


Note You need to log in before you can comment on or make changes to this bug.